Bug 437297 - Purple plugin pack memory leak fixes
Purple plugin pack memory leak fixes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: purple-plugin_pack (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 09:28 EDT by Stu Tomlinson
Modified: 2009-07-14 11:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:25:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Leak fixes (13.35 KB, patch)
2008-03-13 09:28 EDT, Stu Tomlinson
no flags Details | Diff

  None (edit)
Description Stu Tomlinson 2008-03-13 09:28:07 EDT
Several plugins in the purple plugin pack have memory leaks. I am attaching a
patch to apply to Fedora CVS to fix the ones I have identified so far.

purple-plugin_pack-2.2.0-switchspell-leakfix.patch is included but not
referenced in the spec file - this only applies when using a gtkspell with
aspell, not enchant, so is useful for Fedora 7 & 8.

I also included a fix for the Timelog plugin that was preventing it being loaded.
Comment 1 Stu Tomlinson 2008-03-13 09:28:07 EDT
Created attachment 297933 [details]
Leak fixes
Comment 2 Ignacio Vazquez-Abrams 2008-04-05 09:00:04 EDT
Would this still be relevant with 2.3.0?
Comment 3 Stu Tomlinson 2008-04-05 09:20:38 EDT
(In reply to comment #2)
> Would this still be relevant with 2.3.0?

No, all these fixes are included in purple plugin pack 2.3.0
Comment 4 Bug Zapper 2008-05-14 02:01:07 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:45:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:25:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.